// تعریف یک تابع برای نمایش پیغام خطا
function printError(elemId, hintMsg) {
    document.getElementById(elemId).innerHTML = hintMsg;
}
// تعریف یک تابع برای اعتبارسنجی فرم
function validateForm() {
    // بازیابی مقادیر عناصر فرم
    var name = document.contactForm.name.value;
    var email = document.contactForm.email.value;
    var mobile = document.contactForm.mobile.value;
    var country = document.contactForm.country.value;
    var gender = document.contactForm.gender.value;
    var hobbies = [];
    var checkboxes = document.getElementsByName("hobbies[]");
    for(var i=0; i < checkboxes.length; i++) {
        if(checkboxes[i].checked) {
            // آرایه علایق را با مقادیر انتخاب شده پر کنید
            hobbies.push(checkboxes[i].value);
    }
}
// تعریف متغیرهای خطا با مقدار پیش فرض
var nameErr = emailErr = mobileErr = countryErr = genderErr = true;
// اعتبار سنجی نام
if(name == "") {
    printError("nameErr", "لطفا یک نام وارد کنید");
} else {
        printError("nameErr", "");
        nameErr = false;
}
// اعتبار سنجی ایمیل
if(email == "") {
        printError("emailErr", "لطفا یک ایمیل وارد کنید");
    } else {
        // تعریف شکل معتبر یک ایمیل
        var regex = /^\S+@\S+\.\S+$/;
        if(regex.test(email) === false) {
            printError("emailErr", "ایمیل وارد شده معتبر نیست!");
        } else{
            printError("emailErr", "");
            emailErr = false;
    }
}
// اعتبار سنجی شماره موبایل
if(mobile == "") {
        printError("mobileErr", "لطفا شماره موبایل خود را وارد کنید");
    } else {
        var regex = /^[0-9]\d{9}$/;
        if(regex.test(mobile) === false) {
            printError("mobileErr", "شماره موبایل وارد شده معتبر نیست!");
        } else{
        printError("mobileErr", "");
        mobileErr = false;
    }
}
// اعتبار سنجی کشور
if(country == "انتخاب") {
    printError("countryErr", "لطفا کشور خود را انتخاب کنید");
} else {
    printError("countryErr", "");
    countryErr = false;
}
// اعتبار سنجی جنسیت
if(gender == "") {
    printError("genderErr", "لطفا جنسیت خود را انتخاب کنید");
} else {
    printError("genderErr", "");
    genderErr = false;
}  
// در صورت وجود هرگونه خطایی از ارسال فرم جلوگیری کنید
if((nameErr || emailErr || mobileErr || countryErr || genderErr) == true) {
    return false;
} else {
    // استفاده از داده های ورودی برای پیش نمایش
    var dataPreview = "شما موارد زیر را در فرم وارد کرده‌اید: \n" +
                    "نام : " + name + "\n" +
                    "ایمیل : " + email + "\n" +
                    "شماره موبایل : " + mobile + "\n" +
                    "کشور : " + country + "\n" +
                    "جنسیت : " + gender + "\n";
    if(hobbies.length) {
        dataPreview += "علایق : " + hobbies.join(" ، ");
    }
    // قبل از ارسال فرم، داده های ورودی را در یک کادر محاوره ای نمایش دهید
    alert(dataPreview);
    }
};